Result
Get a Detailed Result
Retrieve detailed information for a single scraping result by its unique identifier with the MrScraper API, including data, status, and token usage.
This endpoint retrieves detailed information for a specific scraping result by its unique identifier.
Note
- Use the Platform API Server (
https://api.app.mrscraper.com) host when calling this endpoint. - You can get
{id}parameter from the Get All Results endpoint. - The structure of
data.datain the scrape result varies depending on the agent type and whether the request is single or bulk. For detailed response formats, see AI Response.
Authorization
apiKey x-api-token<token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.app.mrscraper.com/api/v1/results/string"{
"message": "Successful fetch",
"data": [
{
"createdAt": "2025-11-11T09:50:09.722Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"scraperId": "6695bf87-aaa6-46b0-b1ee-88586b222b0b",
"type": "AI",
"url": "http://example.com",
"status": "Finished",
"error": "string",
"tokenUsage": 5,
"runtime": 0,
"data": {},
"htmlPath": "string",
"recordingPath": "string",
"screenshotPath": "string",
"dataPath": "string"
}
]
}{
"message": "Unauthorized access",
"error": "Unauthorized"
}{
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Resource not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "Successful fetch",
"data": [
{
"createdAt": "2026-04-08T09:37:11.492Z",
"id": "cf2871bc-2c28-444f-a9b0-4d38f45c3c01",
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"scraperId": "8e23a30b-f355-4c4c-88f8-c9443b01ff76",
"type": "Bulk-AI",
"url": "https://books.toscrape.com/catalogue/a-light-in-the-attic_1000/index.html, https://books.toscrape.com/catalogue/tipping-the-velvet_999/index.html",
"status": "Finished",
"error": null,
"tokenUsage": 20,
"runtime": null,
"data": {
"mergedData": [],
"urlDetails": [],
"summary": {
"totalUrls": 2,
"successfulUrls": 2,
"failedUrls": 0,
"scrapedCount": 2,
"totalTokenUsage": 20,
"estimatedFinishAt": null
}
},
"htmlPath": null,
"recordingPath": null,
"dataPath": null
}
]
}Get All Results GET
Retrieve all scraping results with data, status, token usage, and file paths using the MrScraper API, with sorting, filtering, and date ranges.
Get Analytic Statuses GET
Retrieve scrape status counts for a domain within a date range using the MrScraper API, with optional action and API token name filters.